package cz.vavru.test.dwr.dao;

import java.util.List;

import org.springframework.dao.DataAccessException;

import cz.vavru.test.dwr.domain.User;

/**
 * 
 * @author vlastimil@vavru.cz (http://vavru.cz)
 * 
 */
public interface UserDao {
	public User getUserByNick(String nick) throws DataAccessException;
	
	public User getUserById(int userId) throws DataAccessException;

	public List<User> getOnlineUsers() throws DataAccessException;

	public void insertUser(User user) throws DataAccessException;

	public void updateUserOnlineStatus(User user) throws DataAccessException;
}
